# Uses of Class
com.logicaldoc.core.security.Session

Packages that use Session
Package
Description
com.logicaldoc.core.automation
Automation subsystem that allows you to program your own logic inside the platform.
The automation engine can be accessed through the class `Automation`
Please note the special annotation `AutomationDictionary` that is used to automatically put in the Dictionary whatever bean you need.
com.logicaldoc.core.dashlet
com.logicaldoc.core.history
com.logicaldoc.core.security
Container of the security-related interfaces and classes
com.logicaldoc.core.security.user
Definition of the User object and ancillary objects

## Uses of Session in com.logicaldoc.core.automation

Methods in com.logicaldoc.core.automation that return Session
Modifier and Type
Method
Description
`Session`
SecurityTool.`getSession(String sid)`
Retrieves a session by it's identifier

## Uses of Session in com.logicaldoc.core.dashlet

Methods in com.logicaldoc.core.dashlet that return Session
Modifier and Type
Method
Description
`static Session`
DashletContent.`validateSession(jakarta.servlet.http.HttpServletRequest request)`

## Uses of Session in com.logicaldoc.core.history

Methods in com.logicaldoc.core.history with parameters of type Session
Modifier and Type
Method
Description
`void`
History.`setSession(Session session)`
This setter sets the sessionId, userId, username and other informations that can be captured by the given session

## Uses of Session in com.logicaldoc.core.security

Methods in com.logicaldoc.core.security that return Session
Modifier and Type
Method
Description
`Session`
HibernateSessionDAO.`findBySid(String sid)`
`Session`
SessionDAO.`findBySid(String sid)`
Retrieves the session of the given SID
`Session`
SessionManager.`get(Object sid)`
`Session`
SessionManager.`getByClientId(String clientId)`
Gets the session of the given client
`Session`
SessionManager.`getByDictionaryValue(String key, Object value)`
Gets the session with the specified dictionary value
`Session`
SessionManager.`getSession(jakarta.servlet.http.HttpServletRequest request)`
Gets the Session with the identifier returned by `SessionManager.getSessionId(HttpServletRequest)`
`Session`
SessionManager.`newSession(String apikey, Client client)`
Creates a new session by authenticating through an API Key and stores it in the pool of opened sessions
`Session`
SessionManager.`newSession(String apikey, jakarta.servlet.http.HttpServletRequest request)`
Creates a new session by authenticating through an API Key and stores it in the pool of opened sessions
`Session`
SessionManager.`newSession(String username, String password, Client client)`
Creates a new session by authenticating the given user and stores it in the pool of opened sessions
`Session`
SessionManager.`newSession(String username, String password, jakarta.servlet.http.HttpServletRequest request)`
Creates a new session by authenticating the given user and stores it in the pool of opened sessions
`Session`
SessionManager.`newSession(String username, String password, String key, Client client)`
Creates a new session by authenticating the given user and stores it in the pool of opened sessions
`Session`
SessionManager.`newSession(String username, String password, String key, jakarta.servlet.http.HttpServletRequest request)`
Creates a new session by authenticating the given user and stores it in the pool of opened sessions
`Session`
SessionManager.`remove(Object sid)`
Methods in com.logicaldoc.core.security that return types with arguments of type Session
Modifier and Type
Method
Description
`List<Session>`
HibernateSessionDAO.`findByNode(String node)`
`List<Session>`
SessionDAO.`findByNode(String node)`
Retrieves the session of the given node
`List<Session>`
SessionManager.`getSessions()`
Returns the list of sessions of the current node ordered by ascending status and creation date.
Methods in com.logicaldoc.core.security with parameters of type Session
Modifier and Type
Method
Description
`int`
Session.`compareTo(Session other)`
`void`
SessionListener.`onSessionCreated(Session session)`

## Uses of Session in com.logicaldoc.core.security.user

Constructors in com.logicaldoc.core.security.user with parameters of type Session
Modifier
Constructor
Description
``
`UserHistory(Session session)`